package cn.superdesk.uniorder.service._dashboard.impl;


import cn.superdesk.uniorder.dao.mapper._dashboard.BackendDashboardMapper;
import cn.superdesk.uniorder.dto.vo._dashboard.*;
import cn.superdesk.uniorder.service._dashboard.BackendDashboardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class BackendDashboardServiceImpl implements BackendDashboardService {

	@Autowired
	private BackendDashboardMapper unifiedDashboardMapper;


	@Override
	public List<UnifiedDashboardHeadDataVo> getDashboardHeadData(Map<String, Object> params) {
		return unifiedDashboardMapper.getDashboardHeadData(params);
	}

	@Override
	public List<UnifiedDashboardProjectPurchaseVo> getDashboardProjectPurchase(Map<String, Object> params) {
		return unifiedDashboardMapper.getDashboardProjectPurchase(params);
	}

	@Override
	public List<UnifiedDashboardYearPurchaseVo> getDashboardYearPurchase(Map<String, Object> params) {
		return unifiedDashboardMapper.getDashboardYearPurchase(params);
	}

	@Override
	public List<UnifiedDashboardProjectPurchaseCompareVo> getDashboardProjectPurchaseCompare(Map<String, Object> params) {
		return unifiedDashboardMapper.getDashboardProjectPurchaseCompare(params);
	}

	@Override
	public List<UnifiedDashboardPurchaseCateCompareVo> getDashboardPurchaseCateCompare(Map<String, Object> params) {
		return unifiedDashboardMapper.getDashboardPurchaseCateCompare(params);
	}

	@Override
	public List<UnifiedDashboardGoodsPurchaseRankingVo> getDashboardGoodsPurchaseRanking(Map<String, Object> params) {
		return unifiedDashboardMapper.getDashboardGoodsPurchaseRanking(params);
	}
}
